Bug 905577 - CVE-2012-5958 CVE-2012-5959 CVE-2012-5960 CVE-2012-5961 CVE-2012-5962 CVE-2012-5963 CVE-2012-5964 CVE-2012-5965 ibupnp: Multiple stack-based buffer overflows in unique_service_name() by processing specially-crafted SSDP request (VU#922681) [fedora-all]
CVE-2012-5958 CVE-2012-5959 CVE-2012-5960 CVE-2012-5961 CVE-2012-5962 CVE-201...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libupnp (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Security, SecurityTracking
: 905820 (view as bug list)
Depends On:
Blocks: CVE-2012-5958/CVE-2012-5959/CVE-2012-5960/CVE-2012-5961/CVE-2012-5962/CVE-2012-5963/CVE-2012-5964/CVE-2012-5965
  Show dependency treegraph
 
Reported: 2013-01-29 12:07 EST by Vincent Danen
Modified: 2013-02-12 00:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-12 00:10:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-01-29 12:07:28 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2013-01-29 12:07:36 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=883790,905577
Comment 2 Fedora Update System 2013-01-29 13:49:33 EST
libupnp-1.6.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libupnp-1.6.18-1.fc18
Comment 3 Fedora Update System 2013-01-29 14:01:49 EST
libupnp-1.6.18-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libupnp-1.6.18-1.fc17
Comment 4 Fedora Update System 2013-01-29 14:10:39 EST
libupnp-1.6.18-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libupnp-1.6.18-1.fc16
Comment 5 Vincent Danen 2013-01-30 10:20:03 EST
*** Bug 905820 has been marked as a duplicate of this bug. ***
Comment 6 Vincent Danen 2013-01-30 10:53:34 EST
Adam, can you submit updates for EPEL as well?  Looks like the bug #905578 is owned by no one, and it is probably not good to let this sit idle there.

Many thanks in advance.
Comment 7 Fedora Update System 2013-02-01 11:48:06 EST
Package libupnp-1.6.18-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libupnp-1.6.18-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1713/libupnp-1.6.18-1.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-02-12 00:10:39 EST
libupnp-1.6.18-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-02-12 00:32:03 EST
libupnp-1.6.18-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-02-12 00:33:20 EST
libupnp-1.6.18-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.